curl --request GET \
--url https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/bills/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/bills/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/bills/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"page_info": {
"total_count": 123,
"current_page": 1,
"total_pages": 7,
"page_size": 20
},
"results": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"terms": "<string>",
"issue_date": "2023-12-25",
"received_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"is_overdue": false,
"currency": "<string>",
"vendor": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"status": "<string>",
"transaction_tags": [
"<unknown>"
],
"documents": [
{
"url": "<string>",
"expires_in": 123,
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"file_size": 123,
"mime_type": "<string>"
}
],
"external_id": "<string>",
"individual_name": "<string>",
"company_name": "<string>",
"email": "jsmith@example.com"
},
"line_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_identifier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "AccountId"
},
"currency": "<string>",
"unit_price": 123,
"quantity": 123,
"subtotal": 123,
"sales_taxes_total": 123,
"total_amount": 123,
"tax_rate": 123,
"description": "<string>",
"product": "<string>"
}
],
"bill_payment_allocations": [
{
"amount_cents": 123,
"payment_date": "2023-12-25",
"payment_method": "<string>",
"bill_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"vendor_credit_allocations": [
{
"amount_cents": 123,
"applied_at": "2023-11-07T05:31:56Z",
"vendor_credit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_credit_number": "<string>"
}
],
"vendor_refund_allocations": [
{
"vendor_refund_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_cents": 123,
"allocated_at": "2023-11-07T05:31:56Z",
"reference_number": "<string>"
}
],
"additional_sales_taxes": [
{
"amount": 123,
"tax_account": "<unknown>",
"rate": "<string>",
"name": "<string>"
}
],
"additional_sales_taxes_total": 123,
"subtotal": 123,
"total_amount": 123,
"outstanding_balance": 123,
"paid_by_bank_payments": 123,
"paid_by_credits": 123,
"needs_reconciliation": true,
"document": {
"url": "<string>",
"expires_in": 123,
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"file_size": 123,
"mime_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"bill_number": "<string>",
"vendor_bill_number": "<string>",
"purchase_order_number": "<string>",
"memo": "<string>",
"reference_numbers": "<unknown>",
"attachment_urls": "<unknown>",
"metadata": "<unknown>"
}
]
}List bills
List all bills for a business with filters for status, vendor, dates, reference numbers, and amounts. Supports standardized pagination.
Authorizations
Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>
Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.
Path Parameters
^[0-9a-f-]+$Query Parameters
Bills due on/before this timestamp (ISO format)
Bills due on/after this timestamp (ISO format)
Maximum total amount in cents
Exact memo match
Memo contains substring (case-insensitive)
Minimum total amount in cents
Page number (1-indexed, default: 1)
Number of items per page (default: 20, max: 100)
Bills received on/before this timestamp (ISO format)
Bills received on/after this timestamp (ISO format)
Filter by reference numbers (comma-separated). Searches bill_number, vendor_bill_number, purchase_order_number
Sort order. Values: created_at, -created_at, updated_at, -updated_at (prefix with - for descending)
Filter by bill status (comma-separated). Values: received, partially_paid, paid, voided
Filter by vendor external ID
Filter by vendor ID (supports comma-separated UUIDs for multiple vendors)
Was this page helpful?